package com.bwie.user.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bwie.user.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;

    @Override
    public List<User> findList() {
        return userMapper.selectList(new QueryWrapper<>());
    }

    @Override
    public int delete(Integer uid) {
        return userMapper.deleteById(uid);
    }

    @Override
    public Page<User> findUserByOrder() {
        QueryWrapper<User> userQueryWrapper = new QueryWrapper<>();
        QueryWrapper<User> user = userQueryWrapper.orderByDesc("birthday");
        long i=0;
        long j=12;
        Page<User> objectPage = Page.of(i, j);
        Page<User> userPage = userMapper.selectPage(objectPage, user);
        return userPage;
    }
}
